package org.example.project;

import java.io.Serializable;

import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.namespace.QName;

@XmlRootElement
public class MyEvent implements Serializable {
	
   private String id;

   public static final QName QNAME = new QName("urn:portletbridge:example:event", "MyEvent");

   public MyEvent(String id)
   {
      this.id = id;
   }

   public String getId()
   {
      return id;
   }

   @Override
   public String toString()
   {
      return id;
   }

}

