/******************************************************************************
 * JBoss, a division of Red Hat                                               *
 * Copyright 2006, Red Hat Middleware, LLC, and individual                    *
 * contributors as indicated by the @authors tag. See the                     *
 * copyright.txt in the distribution for a full listing of                    *
 * individual contributors.                                                   *
 *                                                                            *
 * This is free software; you can redistribute it and/or modify it            *
 * under the terms of the GNU Lesser General Public License as                *
 * published by the Free Software Foundation; either version 2.1 of           *
 * the License, or (at your option) any later version.                        *
 *                                                                            *
 * This software is distributed in the hope that it will be useful,           *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of             *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU           *
 * Lesser General Public License for more details.                            *
 *                                                                            *
 * You should have received a copy of the GNU Lesser General Public           *
 * License along with this software; if not, write to the Free                *
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA         *
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.                   *
 ******************************************************************************/
package org.example.project;

import java.util.Date;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.faces.context.FacesContext;
import javax.faces.event.ActionEvent;
import javax.portlet.PortletSession;
import javax.portlet.RenderRequest;
import javax.portlet.ResourceRequest;

import org.jboss.portletbridge.seam.PortletScope;
import org.jboss.seam.ScopeType;
import org.jboss.seam.annotations.Name;
import org.jboss.seam.annotations.Scope;

@Name("portletBBean")
@Scope(ScopeType.SESSION)
@PortletScope(PortletScope.ScopeType.APPLICATION_SCOPE)
public class portletB
{	
	private String message;
	private static Logger logger = Logger.getLogger("portletB");
	public void processText(ActionEvent ae){
		
	   Object responseObject = FacesContext.getCurrentInstance().getExternalContext().getRequest();

	   if (responseObject instanceof ResourceRequest) {
		   ResourceRequest resourceRequest = (ResourceRequest)responseObject;

          for (String key: FacesContext.getCurrentInstance().getExternalContext().getSessionMap().keySet()) {
              logger.log(Level.INFO, "{0} - {1}", new Object[]{key, FacesContext.getCurrentInstance().getExternalContext().getSessionMap().get(key)});
          }
          portletC portletc = (portletC)FacesContext.getCurrentInstance().getExternalContext().getSessionMap().get("portletCBean");
          portletc.start();
          /*Date date = new Date();
          while (((new Date()).getTime() - date.getTime())<=6000) {
                try {
                    Thread.currentThread().sleep(1000);
                } catch (InterruptedException ex) {
                    Logger.getLogger(portletB.class.getName()).log(Level.SEVERE, null, ex);
                }
              logger.info("Esperando..");
          }*/
          portletc.setText(message);
       }
	}

	public String getMessage() {
		return message;
	}

	public void setMessage(String message) {
		this.message = message;
	}
	
	
}
